using System;
using System.ComponentModel;
using TheGameExtreme.model.card;
using SkiaSharp;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace TheGameExtreme.viewmodel
{
    public class CardVM : INotifyPropertyChanged
    {

        public event PropertyChangedEventHandler PropertyChanged;
        public Card View { get; set; }

        protected decimal value;
        public decimal Value {
            get { return value; }
            set
            {
                this.value = value;
                View.Value = value;
                OnPropertyChanged("Value");
            }
        }
        protected virtual void OnPropertyChanged(string info)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(info));
        }

        

        public CardVM(Card view)
        {
            View = view;
            Value = view.Value;
        }

        
        
    }
}
